import ch.nevis.esauth.auth.engine.AuthResponse

if(inargs['cancel']){
    LOG.debug("Account registration canceled: Send response with error")
    response.setResult('back')
    return
}

if(inargs['register'] == "agov"){
    LOG.debug("AGOV account registration was selected")
    response.setResult('register')
    return
}

LOG.debug("Show GUI")
response.setStatus(AuthResponse.AUTH_CONTINUE)
return